Skip to content
Ona Docs

ListSSOLogins

client.accounts.listSSOLogins(AccountListSSOLoginsParams { email, token, pageSize, 2 more } params, RequestOptionsoptions?): LoginsPage<AccountListSSOLoginsResponse { displayName, loginUrl } >
POST/gitpod.v1.AccountService/ListSSOLogins

ListSSOLogins

ParametersExpand Collapse
params: AccountListSSOLoginsParams { email, token, pageSize, 2 more }
email: string

Body param: email is the email the user wants to login with

formatemail
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
returnTo?: string | null

Body param: return_to is the URL the user will be redirected to after login

formaturi
ReturnsExpand Collapse
AccountListSSOLoginsResponse { displayName, loginUrl }
displayName: string

provider is the provider used by this login method, e.g. “github”, “google”, “custom”

loginUrl: string

login_url is the URL to redirect the user to for SSO login

ListSSOLogins

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const accountListSSOLoginsResponse of client.accounts.listSSOLogins({
  email: 'dev@stainless.com',
})) {
  console.log(accountListSSOLoginsResponse.displayName);
}
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "logins": [
    {
      "displayName": "displayName",
      "loginUrl": "loginUrl"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "logins": [
    {
      "displayName": "displayName",
      "loginUrl": "loginUrl"
    }
  ]
}